{% extends "TM/vocab_base.html" %}
{% load static %}

{% block header_controls %}
<a class="back button button-small button-regular" href="{% url 'TM:vocab_list' %}">&#8592;&nbsp;Thesauri-Liste</a>
{% endblock %}

{% block title %}
<h1>Detail</h1>
{% endblock %}

{% block maincontent %}

<div id="detail">
	<div id="vocab">
		<h3>
			Detailansicht
			<a class="button button-dark" href="{% url 'TM:vocab_edit' vocab.id %}">Bearbeiten</a>
			<a class="button button-salmon delete" href="javascript:void(0)">L&ouml;schen</a>
		</h3>
		<table>
			<tr><th><span>Name:</span></th><td><span>{{ vocab.name }}</span></td></tr>
			<tr><th><span>Version:</span></th><td><span>{{ vocab.version }}</span></td></tr>
			<tr><th><span>Bereich/Thema:</span></th><td><span>{{ vocab.domain }}</span></td></tr>
			<tr><th><span>Beschreibung:</span></th><td><span>{{ vocab.description }}</span></td></tr>
			<tr><th><span>Status:</span></th><td><span>{{ vocab.status }}</span></td></tr>
			<tr><th><span>Basis URL:</span></th><td><span>{{ vocab.base_url }}</span></td></tr>
			<tr><th><span>Provider:</span></th><td><span>{{ vocab.provider.name }}</span></td></tr>
			<tr><th><span>Zugriffsmodus:</span></th><td><span>{{ vocab.access_level }}</span></td></tr>
		</table>
	</div>
	<div id="statistics">
		<h3>Kennzahlen</h3>
		<table>
			<tr><th><span>Anzahl Konzepte</span></th><td><span>{{ vocab.number_of_concepts }}</span></td></tr>
			<tr><th><span>Anzahl Labels</span></th><td><span>{{ vocab.number_of_labels }}</span></td></tr>
			<tr><th><span>Anzahl Definitionen</span></th><td><span>{{ vocab.number_of_definitions }}</span></td></tr>
			<tr><th><span>Anzahl verlinkte Konzepte</span></th><td><span>{{ vocab.number_of_references }}</span></td></tr>
			<tr><th><span>Anzahl externe Verlinkungen</span></th><td><span>{{ vocab.number_of_external_references }}</span></td></tr>
		</table>
	</div>
</div>

<script type="application/javascript">
	"use strict";

	$("a.delete.button").on("click", function () {
		confirmDialog(
			"<p>Möchten Sie den Thesaurus</p><p class='thesaurusname'>{{ vocab.name }}</p><p>wirklich löschen?</p>",
			"Löschung",
			function () {
				window.location = "{% url 'TM:vocab_delete' vocab.id %}";
			}, undefined);
	});
</script>

{% endblock %}
